Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.ejbql
Class EJBQLTypes

    java.lang.Object
      org.jboss.ejb.plugins.cmp.ejbql.EJBQLTypes

public final class EJBQLTypes
extends Object

This class contains a list of the reconized EJB-QL types.

Version:
  $Revision: 1.3 $
Author:
  Dain Sundstrom, Alexey Loubyansky

Field Summary
`static int` | `BOOLEAN_TYPE`
`static int` | `DATETIME_TYPE`
`static int` | `ENTITY_TYPE`
`static int` | `NUMERIC_TYPE`
`static int` | `STRING_TYPE`
`static int` | `UNKNOWN_TYPE`
`static int` | `VALUE_CLASS_TYPE`

Constructor Summary
`EJBQLTypes()`

Method Summary
`static int` | `getEJBQLType(Class type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_TYPE

    public static final int UNKNOWN_TYPE

See Also:
  Constant Field Values

### NUMERIC_TYPE

    public static final int NUMERIC_TYPE

See Also:
  Constant Field Values

### STRING_TYPE

    public static final int STRING_TYPE

See Also:
  Constant Field Values

### DATETIME_TYPE

    public static final int DATETIME_TYPE

See Also:
  Constant Field Values

### BOOLEAN_TYPE

    public static final int BOOLEAN_TYPE

See Also:
  Constant Field Values

### ENTITY_TYPE

    public static final int ENTITY_TYPE

See Also:
  Constant Field Values

### VALUE_CLASS_TYPE

    public static final int VALUE_CLASS_TYPE

See Also:
  Constant Field Values

Constructor Detail

### EJBQLTypes

    public EJBQLTypes()

Method Detail

### getEJBQLType

    public static int getEJBQLType(Class type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.